Download it now!
Bug 114262 - Toolbar toolbar:style attribute not working correctly
Summary: Toolbar toolbar:style attribute not working correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:6.1.0 target:6.0.0.1 target:5.4.5
Keywords:
Depends on:
Blocks: Toolbars
  Show dependency treegraph
 
Reported: 2017-12-05 13:53 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-01-04 19:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-12-05 13:53:36 UTC
The 'Close Preview' button in the print preview toolbar in writer has a toolbar:style equal to "image text", but only the text is appearing and not the icon.

Kendy mentioned in bug 47677 and bug 60412 and that this would work.

Version: 6.1.0.0.alpha0+
Build ID: 2618e4a13d719122e6358d9d96864d1691e56a02
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 1 Maxim Monastirsky 2017-12-05 23:38:26 UTC
Apparently a regression of the 4.4 cycle. Proposed fix is in https://gerrit.libreoffice.org/45920/
Comment 2 Commit Notification 2017-12-06 18:17:55 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=291ea673180a37912697646850959b3f6553cc7a

tdf#114262 Respect text+image toolbar style

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-12-18 13:08:05 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e067187427cf5f53ee1c2176f1042b4fedb67783&h=libreoffice-6-0

tdf#114262 Respect text+image toolbar style

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-01-04 19:44:15 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4050b2c960db4f2bf17b954e65aae40a415c0761&h=libreoffice-5-4

tdf#114262 Respect text+image toolbar style

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.